View Issue Details

IDProjectCategoryView StatusLast Update
0006470Talermerchant backend API (C)public2021-09-02 18:23
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006470: Merchant logs "Finished handling request ... with status 0" despite HTTP 200 response
DescriptionCan be reproduced by running the API test case (test_merchant_api).
TagsNo tags attached.

Activities

jonathanbuchanan

2020-08-20 07:58

developer   ~0016669

The easiest way to get the http status codes seems to be storing it in TMH_HandlerContext and accessing it through con_cls in handle_mhd_completion_callback. As far as storing the status code in TMH_HandlerContext, I'll just write wrappers around TALER_MHD_reply_* that store the status codes.

Christian Grothoff

2020-08-22 13:59

manager   ~0016699

Yes, but the above log message is from MHD, and here 'status 0' means successful conclusion. MHD will even report this on non-200 error codes, and I think that's OK. Please don't wrap the logging. I think this is just fine, one just needs to be careful when reading the log report.

Christian Grothoff

2020-08-22 13:59

manager   ~0016700

Note: non-zero status are used here in case of timeout or network failures.

Christian Grothoff

2020-08-22 14:02

manager   ~0016701

838e8bf..0a30c30 modifies the log message to make it more clear that the 0 is an MHD termination code and NOT an HTTP status.

Christian Grothoff

2021-09-02 18:23

manager   ~0018373

Fix committed to master branch.

Related Changesets

merchant: master 0a30c302

2020-08-22 13:55:25

Christian Grothoff

Details Diff
fix 0006470: clarify that this is not an HTTP status Affected Issues
0006470
mod - src/backend/taler-merchant-httpd.c Diff File

Issue History

Date Modified Username Field Change
2020-08-10 13:21 Florian Dold New Issue
2020-08-10 13:21 Florian Dold Status new => assigned
2020-08-10 13:21 Florian Dold Assigned To => Marcello Stanisci
2020-08-10 14:32 Florian Dold Assigned To Marcello Stanisci => jonathanbuchanan
2020-08-20 07:58 jonathanbuchanan Note Added: 0016669
2020-08-22 13:59 Christian Grothoff Note Added: 0016699
2020-08-22 13:59 Christian Grothoff Note Added: 0016700
2020-08-22 14:02 Christian Grothoff Note Added: 0016701
2020-08-22 14:02 Christian Grothoff Assigned To jonathanbuchanan => Christian Grothoff
2020-08-22 14:02 Christian Grothoff Status assigned => resolved
2020-08-22 14:02 Christian Grothoff Resolution open => fixed
2020-08-22 14:02 Christian Grothoff Fixed in Version => 0.8
2020-08-22 14:02 Christian Grothoff Product Version => git (master)
2020-08-22 14:02 Christian Grothoff Target Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 0a30c302
2021-09-02 18:23 Christian Grothoff Note Added: 0018373